Presign one multipart upload part
curl --request POST \
--url https://api.eigenpal.com/v1/files/uploads/{uploadId}/parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partNumber": 5000
}
'import requests
url = "https://api.eigenpal.com/v1/files/uploads/{uploadId}/parts"
payload = { "partNumber": 5000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partNumber: 5000})
};
fetch('https://api.eigenpal.com/v1/files/uploads/{uploadId}/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transport": "presigned-multipart",
"partNumber": 0,
"url": "<string>",
"headers": {},
"expiresAt": "2023-11-07T05:31:56Z",
"partSizeBytes": 0
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}Files
Presign one multipart upload part
Mint a short-lived signed UploadPart URL for one validated part. Part URLs are not issued at session create.
POST
/
v1
/
files
/
uploads
/
{uploadId}
/
parts
Presign one multipart upload part
Authorizations
API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.
Path Parameters
Body
application/json
Required range:
1 <= x <= 10000Response
Signed part upload
Allowed value:
"presigned-multipart"Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Required range:
-9007199254740991 <= x <= 9007199254740991